---
Attribute:
  enabled: true
  exclude:
  - DescendantsTracker
BooleanParameter:
  enabled: true
  exclude: []
ClassVariable:
  enabled: true
  exclude: []
ControlParameter:
  enabled: true
  exclude: []
DataClump:
  enabled: true
  exclude: []
  max_copies: 2
  min_clump_size: 2
DuplicateMethodCall:
  enabled: true
  exclude: []
  max_calls: 1
  allow_calls: []
FeatureEnvy:
  enabled: true
  exclude: []
IrresponsibleModule:
  enabled: true
  exclude: []
LongParameterList:
  enabled: true
  exclude: []
  max_params: 2
  overrides:
    initialize:
      max_params: 3
LongYieldList:
  enabled: true
  exclude: []
  max_params: 2
NestedIterators:
  enabled: true
  exclude: []
  max_allowed_nesting: 1
  ignore_iterators: []
NilCheck:
  enabled: true
  exclude: []
RepeatedConditional:
  enabled: true
  exclude: []
  max_ifs: 1
TooManyInstanceVariables:
  enabled: true
  exclude: []
  max_instance_variables: 3
TooManyMethods:
  enabled: true
  exclude: []
  max_methods: 10
TooManyStatements:
  enabled: true
  exclude:
  - DescendantsTracker#add_descendant
  - DescendantsTracker#inherited
  - each
  max_statements: 2
UncommunicativeMethodName:
  enabled: true
  exclude: []
  reject:
  - !ruby/regexp /^[a-z]$/
  - !ruby/regexp /[0-9]$/
  - !ruby/regexp /[A-Z]/
  accept: []
UncommunicativeModuleName:
  enabled: true
  exclude: []
  reject:
  - !ruby/regexp /^.$/
  - !ruby/regexp /[0-9]$/
  accept: []
UncommunicativeParameterName:
  enabled: true
  exclude: []
  reject:
  - !ruby/regexp /^.$/
  - !ruby/regexp /[0-9]$/
  - !ruby/regexp /[A-Z]/
  accept: []
UncommunicativeVariableName:
  enabled: true
  exclude: []
  reject:
  - !ruby/regexp /^.$/
  - !ruby/regexp /[0-9]$/
  - !ruby/regexp /[A-Z]/
  accept: []
UnusedParameters:
  enabled: true
  exclude: []
UtilityFunction:
  enabled: true
  exclude: []
  max_helper_calls: 0
